use ansi_term::ANSIGenericString;
use ansi_term::Colour::RGB;
use std::env::var;

// SSH indicator symbol
pub const SSH_SYMBOL: &str = "\u{276F}"; // "❯"
pub const SSH_COL: ansi_term::Colour = RGB(255, 149, 0); // A ind of orange
pub const NORMIE_COL: ansi_term::Colour = RGB(255, 255, 255); // White

fn is_ssh_session() -> bool {
    var("SSH_TTY").is_ok() || var("SSH_CONNECTION").is_ok()
}

//SSH shell indicator
pub fn indicator() -> ANSIGenericString<'static, str> {
    if is_ssh_session() {
        SSH_COL.paint(SSH_SYMBOL)
    } else {
        NORMIE_COL.paint(SSH_SYMBOL)
    }
}
