use ansi_term::ANSIGenericString;
use ansi_term::Colour::RGB;
use std::env::var_os;

// User indicator symbol
pub const USER_SYMBOL: &str = "\u{276F}"; // "❯"
pub const ROOT_COL: ansi_term::Colour = RGB(255, 53, 94); // Riot red or something
pub const NORMIE_COL: ansi_term::Colour = RGB(0, 255, 180); // A kind of green

//Root user indicator
pub fn username() -> String {
    var_os("USER")
        .expect("UnknownUser")
        .to_str()
        .expect("UnknownUser")
        .to_string()
}

pub fn indicator() -> ANSIGenericString<'static, str> {
    if username() == "root" {
        ROOT_COL.paint(USER_SYMBOL)
    } else {
        NORMIE_COL.paint(USER_SYMBOL)
    }
}
