pub fn get_shell_char(shell: &str) -> String {
    let shell_char = match shell {
        "bash" | "/bin/bash" | "/usr/bin/bash" | "-bash" => " ",
        "zsh" | "/bin/zsh" | "/usr/bin/zsh" | "-zsh" => "󰰶 ",
        "fish" => "󰈺 ",
        "nushell" => " ",
        "ion" => " ",
        "oursh" => "󱢇 ",
        _ => "󱆃 ",
    };
    shell_char.to_string()
}

pub fn shell(args: Vec<String>) -> String {
    if args.len() > 1 {
        args[1].clone() // Shell symbol
    } else {
        "none".to_string()
    }
}
